Bug 56124 - add calc functions IFERROR and IFNA as in ODFF1.2
Summary: add calc functions IFERROR and IFNA as in ODFF1.2
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
: 34729 (view as bug list)
Depends on:
Blocks: 50488 34729
  Show dependency treegraph
 
Reported: 2012-10-18 06:44 UTC by Winfried Donkers
Modified: 2015-03-13 14:44 UTC (History)
6 users (show)

See Also:


Attachments
patch sofar, not ready to be committed (12.45 KB, text/plain)
2012-11-10 15:13 UTC, Winfried Donkers
Details
patch sofar, not ready to be committed (13.14 KB, text/plain)
2012-11-12 15:59 UTC, Winfried Donkers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2012-10-18 06:44:48 UTC
Currently, LibreOffice does not have the functions IFERROR and IFNA as defined in ODFF1.2.
Comment 1 Winfried Donkers 2012-10-18 06:48:35 UTC
I wonder why there is in ODFF1.2:
ISERROR and IFERROR,
ISNA    and IFNA,
ISERR   but not IFERR?

It may be a good idea to propose addition of IFERR to ODFF and implement the function, as it is not much extra work when making IFERROR.
Comment 2 Winfried Donkers 2012-11-10 15:13:00 UTC
Created attachment 69863 [details]
patch sofar, not ready to be committed

Attached the patch as of this moment.
IFERROR() seems to function well and complies with ODFF1.2
IFNA() only the function itself has to be coded, which I expect to be relatively easy now I have IFERROR().

@Eike: could you please give comments, as I expect you to have them ;)
When I have incorporated your comments, coded IFNA() completely and tested IFNA(), I hope to submit the patch.
Comment 3 Winfried Donkers 2012-11-12 15:59:57 UTC
Created attachment 69947 [details]
patch sofar, not ready to be committed

This time extended with the code for function ScIfNA(), which differs just one line from ScIfError().

@Eike: I you prefer me to submit via gerrit instead of this 'pre-submit' review request, just give me a nod.
Comment 4 Winfried Donkers 2012-11-20 06:36:41 UTC
*** Bug 34729 has been marked as a duplicate of this bug. ***
Comment 5 Winfried Donkers 2012-11-20 06:39:05 UTC
A patch has been submitted via gerrit on November 19, 2012
Comment 6 Not Assigned 2013-01-11 16:10:27 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5fd9feafa5d73121636af9397d42e046cc394719

fdo#56124 add functions IFERROR and IFNA to calc as in ODFF1.2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-01-11 16:10:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3914d00c32c4226d3a73ffdd8985c887016887e0

fdo#56124 changes to "add functions IFERROR and IFNA"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-01-11 20:52:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3201c72db76fb1baabe9becf32e7788a88fe66ac

fdo#56124 IFERROR IFNA function names were swapped



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2013-01-12 16:34:03 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0dce7abb566c87d6263108a1a81850b83098659f

fdo#56124 IFERROR IFNA Excel import/export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Winfried Donkers 2013-01-14 08:17:47 UTC
Eike,
Thank you very much for your great help and your essential corrections!
Comment 11 Not Assigned 2013-01-14 12:53:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ce6ddcc57b3ef7c643523e26b6caa69f5530178&h=libreoffice-4-0

fdo#56124 add functions IFERROR and IFNA to calc as in ODFF1.2


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Tim Richardson 2013-01-14 13:10:13 UTC
this is an abuse of bandwidth on a bug report but I want to say thank you. I wanted this so much I tried to do it myself, but these functions were over my head. The decision to push this into v4 just prior to RC is really welcome. I teach a financial module of a entrepreneurship course for low-income people trying to start a business. Many can't afford Excel and I see around 20% (a growing %) who want to use LibreOffice or OpenOffice; however, these missing functions were causing difficulties in supporting my institute's official spreadsheets.
Can't wait to test this and make sure I can support LibreOffice v4 for my students.